ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jaimin D Jetly (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-4896) Adding Specific jmx metrics jar version to nimbus child opts creates an issue for upgrades.
Date Fri, 28 Feb 2014 21:08:27 GMT
Jaimin D Jetly created AMBARI-4896:
--------------------------------------

             Summary: Adding Specific jmx metrics jar version to nimbus child opts creates
an issue for upgrades.
                 Key: AMBARI-4896
                 URL: https://issues.apache.org/jira/browse/AMBARI-4896
             Project: Ambari
          Issue Type: Bug
          Components: site
    Affects Versions: 1.5.0
            Reporter: Jaimin D Jetly
            Assignee: Yusaku Sako
             Fix For: 1.5.0


Storm needs the following configs:

{code}
+    <value>-Xmx1024m -javaagent:/usr/lib/storm/contrib/storm-jmxetric/lib/jmxetric-1.0.4.jar=host={0},port=8649,wireformat31x=true,mode=multicast,config=/usr/lib/storm/contrib/storm-jmxetric/conf/jmxetric-conf.xml,process=Nimbus_JVM</value>
+    <description>This parameter is used by the storm-deploy project to configure the
jvm options for the nimbus daemon.</description>
   </property>
{code}
for pushing the metrics into ganglia. Unfortunately this has a specific version 1.4 and configs
like these will break when you upgrade Storm. 




--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message